Package org.apache.felix.hc.generalchecks.scrutil

## Class DsRootCauseAdapter

- java.lang.Object
- - org.apache.felix.hc.generalchecks.scrutil.DsRootCauseAdapter

    public class DsRootCauseAdapter
    extends Object

Minimal bridge to root cause in order to allow making that dependency optional.

### Constructor Summary

Constructors
`DsRootCauseAdapter​(org.osgi.service.component.runtime.ServiceComponentRuntime scr)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `logMissingService​(org.apache.felix.hc.api.FormattingResultLog log, String missingServiceName, Collection<org.osgi.service.component.runtime.dto.ComponentDescriptionDTO> componentDescriptionDTOs)`
`void` `logNotEnabledComponent​(org.apache.felix.hc.api.FormattingResultLog log, org.osgi.service.component.runtime.dto.ComponentDescriptionDTO desc, Collection<org.osgi.service.component.runtime.dto.ComponentDescriptionDTO> componentDescriptionDTOs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DsRootCauseAdapter

    public DsRootCauseAdapter​(org.osgi.service.component.runtime.ServiceComponentRuntime scr)

### Method Detail

#### logMissingService

    public void logMissingService​(org.apache.felix.hc.api.FormattingResultLog log,
                                  String missingServiceName,
                                  Collection<org.osgi.service.component.runtime.dto.ComponentDescriptionDTO> componentDescriptionDTOs)

#### logNotEnabledComponent

    public void logNotEnabledComponent​(org.apache.felix.hc.api.FormattingResultLog log,
                                       org.osgi.service.component.runtime.dto.ComponentDescriptionDTO desc,
                                       Collection<org.osgi.service.component.runtime.dto.ComponentDescriptionDTO> componentDescriptionDTOs)